The rating decorator adds two rating buttons (like, dislike) after each system conversation output, to allow users to give feedback.

### Hierarchy

- AbstractDecorator
  - RatingDecorator

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- channelId

### Methods

- appendContent
- appendSuggest
- init
- render
- getPosition
- getQualifier
- getType

## Constructors

### constructor

- new RatingDecorator(renderer: IRenderer): RatingDecorator

- Overrides AbstractDecorator.constructor

  - Defined in lib/renderer/decorator/RatingDecorator.ts:10

  #### Parameters

  - ##### renderer: IRenderer

  #### Returns RatingDecorator

## Properties

### Protected Optional channelId

channelId: undefined | string

Inherited from AbstractDecorator.channelId

- Defined in lib/renderer/decorator/AbstractDecorator.ts:6

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  Inherited from AbstractDecorator.appendContent

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:12

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  Inherited from AbstractDecorator.appendSuggest

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:16

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### init

- init(channelId?: undefined | string): void

- Implementation of IRenderer.init

  Inherited from AbstractDecorator.init

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:20

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(renderable: ISpecification, containerType?: IStackeable): HTMLElement[]

- Overrides AbstractDecorator.render

  - Defined in lib/renderer/decorator/RatingDecorator.ts:19
  inheritdoc

  #### Parameters

  - ##### renderable: ISpecification

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Static Private getPosition

- getPosition(renderable: ISpecification): undefined | null | "left" | "right"

- - Defined in lib/renderer/decorator/RatingDecorator.ts:47

  #### Parameters

  - ##### renderable: ISpecification

  #### Returns undefined | null | "left" | "right"

### Static Private getQualifier

- getQualifier(renderable: ISpecification): any

- - Defined in lib/renderer/decorator/RatingDecorator.ts:39

  #### Parameters

  - ##### renderable: ISpecification

  #### Returns any

### Static Private getType

- getType(renderable: ISpecification): null | string

- - Defined in lib/renderer/decorator/RatingDecorator.ts:43

  #### Parameters

  - ##### renderable: ISpecification

  #### Returns null | string

Generated using TypeDoc